## PhoshSessionManager

PhoshSessionManager — Session interaction

## Functions

PhoshSessionManager * | phosh_session_manager_new ()
gboolean | phosh_session_manager_is_active ()
void | phosh_session_manager_register ()
void | phosh_session_manager_logout ()
void | phosh_session_manager_shutdown ()
void | phosh_session_manager_reboot ()
void | phosh_session_manager_export_end_session ()

## Properties

gboolean | active | Read

## Types and Values

#define | PHOSH_TYPE_SESSION_MANAGER
| PhoshSessionManager

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── PhoshDBusEndSessionDialogSkeleton
                ╰── PhoshSessionManager

## Implemented Interfaces

PhoshSessionManager implements GDBusInterface and PhoshDBusEndSessionDialog.

## Description

The PhoshSessionManager is responsible for managing attributes of the session.

## Functions

### phosh_session_manager_new ()

    PhoshSessionManager *
    phosh_session_manager_new (void);

### phosh_session_manager_is_active ()

    gboolean
    phosh_session_manager_is_active (PhoshSessionManager *self);

### phosh_session_manager_register ()

    void
    phosh_session_manager_register (PhoshSessionManager *self,
                                    const gchar *app_id,
                                    const gchar *startup_id);

### phosh_session_manager_logout ()

    void
    phosh_session_manager_logout (PhoshSessionManager *self);

### phosh_session_manager_shutdown ()

    void
    phosh_session_manager_shutdown (PhoshSessionManager *self);

### phosh_session_manager_reboot ()

    void
    phosh_session_manager_reboot (PhoshSessionManager *self);

### phosh_session_manager_export_end_session ()

    void
    phosh_session_manager_export_end_session
                                   (PhoshSessionManager *self,
                                    GDBusConnection *connection);

## Types and Values

### PHOSH_TYPE_SESSION_MANAGER

    #define PHOSH_TYPE_SESSION_MANAGER     phosh_session_manager_get_type ()

### PhoshSessionManager

    typedef struct _PhoshSessionManager PhoshSessionManager;

## Property Details

### The `“active”` property

      “active”                   gboolean

Whether this phosh instance runs in the currently active session.

Owner: PhoshSessionManager

Flags: Read

Default value: FALSE